Đến nội dung


Hình ảnh
- - - - -

Xoá mũi tên trong các mặt cắt??


  • Please log in to reply
14 replies to this topic

#1 quangthanhdu

quangthanhdu

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 16 November 2010 - 12:24 PM

Ai biết cách xoá dấu mũi tên một cách nhanh nhất, xin chỉ giúp ??? Có cái lisp nào làm được việc đó không? chân thành cảm ơn.Vì số lượng mặt cắt nhiều quá nên không thể xóa bằng cách thủ công!!
http://www.cadviet.c...es/3/matcat.jpg
  • 0

#2 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 16 November 2010 - 02:23 PM

Ai biết cách xoá dấu mũi tên một cách nhanh nhất, xin chỉ giúp ??? Có cái lisp nào làm được việc đó không? chân thành cảm ơn.Vì số lượng mặt cắt nhiều quá nên không thể xóa bằng cách thủ công!!
http://www.cadviet.c...es/3/matcat.jpg

Bạn gửi file CAD lên thì mọi người còn có thể góp ý được chứ gửi file ảnh kiểu này thì bó tay rồi vì chịu chết chả hiểu cái mũi tên của bạn được tạo ra sao cả bạn ạ,
Hề hề hề...
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3 quangthanhdu

quangthanhdu

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 16 November 2010 - 03:14 PM

Ai biết cách xoá dấu mũi tên một cách nhanh nhất, xin chỉ giúp ??? Có cái lisp nào làm được việc đó không? chân thành cảm ơn.Vì số lượng mặt cắt nhiều quá nên không thể xóa bằng cách thủ công!!
http://up.4share.vn/...5050105060f/xoa mui ten.zip
  • 0

#4 w1nDream

w1nDream

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 293 Bài viết
Điểm đánh giá: 73 (tàm tạm)

Đã gửi 16 November 2010 - 03:38 PM

Ai biết cách xoá dấu mũi tên một cách nhanh nhất, xin chỉ giúp ??? Có cái lisp nào làm được việc đó không? chân thành cảm ơn.Vì số lượng mặt cắt nhiều quá nên không thể xóa bằng cách thủ công!!
http://up.4share.vn/...5050105060f/xoa mui ten.zip

Bạn hãy dùng Filter để lọc mũi tên ra rồi muốn làm jì thì làm.

Command: fi FILTER
Select object: Applying filter to selection.
Select objects: Specify opposite corner: 544 found


Con số chỉ là VD thôi nhé :iluvyousmiley:

Nếu bạn chưa rõ có thể lam theo hình ảnh sau:
Hình đã gửi
:D
  • 0
__Tâm tựa lưu thủY__
Vi nhân nan

#5 quangthanhdu

quangthanhdu

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 16 November 2010 - 03:57 PM

làm theo cách của anh thì ta sẽ chọn hết tất cả các mũi tên. Nhưng cái khó ở đây là ta cần xóa những mũi tên được khoanh tròn thôi.Các mặt cắt phía dưới cũng chỉ xóa các mũi tên được khoanh tròn giống như mặt cắt phía trên.
  • 0

#6 quangthanhdu

quangthanhdu

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 16 November 2010 - 05:08 PM

Hy vọng sớm được mọi người giúp đỡ....Chân thành cảm ơn.
  • 0

#7 nguyentuyen6

nguyentuyen6

    biết lệnh chamfer

  • Advance Member
  • PipPipPipPip
  • 213 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 16 November 2010 - 11:13 PM

Hy vọng sớm được mọi người giúp đỡ....Chân thành cảm ơn.

Có cách nào để xác định mũi tên xoá hả bạn. Hay cứ như bản vẽ của bạn trong 1 mc thì xóa mũi tên thứ 2,4,5,7 từ trái sang phải. Nếu thứ tự cố định như vậy thì chắc cũng dễ hơn. không thì mình nghĩ chỉ có cách tự xoa thôi.
  • 0

Lisp In bản vẽ hàng loạt:
http://www.cadviet.c...ndpost&p=139860


#8 quangthanhdu

quangthanhdu

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 17 November 2010 - 07:37 AM

Cần xóa mũi tên thứ 2,4,5,7 từ trái sang phải, theo đúng thứ tự như vậy từ trên xuống dưới.....
  • 0

#9 VUVUZELA

VUVUZELA

    biết lệnh chamfer

  • Members
  • PipPipPipPip
  • 210 Bài viết
Điểm đánh giá: 97 (tàm tạm)

Đã gửi 17 November 2010 - 09:00 AM

Cái này tương đối dễ mà
Bạn cứ lập trình Lisp lấy toàn bộ đối tượng Leader
Lấy 2 điểm của leader
Nếu nó lớn hơn 2% là xoá
:iluvyousmiley:
  • 0

Hệ thống Liên Kết, Thiết Kế Tự Động

ttps://www.facebook...etThietKeTuDong


#10 w1nDream

w1nDream

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 293 Bài viết
Điểm đánh giá: 73 (tàm tạm)

Đã gửi 17 November 2010 - 09:22 AM

Cần xóa mũi tên thứ 2,4,5,7 từ trái sang phải, theo đúng thứ tự như vậy từ trên xuống dưới.....


Mình đã thử dùng cả Quick select nhưng vẫn chưa được.Chắc fải nhờ các anh viết giúp 1 con lisp để làm việc này.
Các mũi tên này có điểm khác nhau đó là Vertex X nên có thể phân biệt được các mũi tên cần xoá.Tất cả các mũi tên số 2 đều có Vertex X = nhau do cùng nằm trên 1 trục X.Các mũi tên 4,5,7 cũng tương tự.

Tiện đây cũng hỏi luôn các bác là mặc dù đã dùng Quick select với đặc tính Vertex X nhưng sao lại không được!!!
:iluvyousmiley:
  • 0
__Tâm tựa lưu thủY__
Vi nhân nan

#11 nguyentuyen6

nguyentuyen6

    biết lệnh chamfer

  • Advance Member
  • PipPipPipPip
  • 213 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 17 November 2010 - 09:23 AM

Cái này tương đối dễ mà
Bạn cứ lập trình Lisp lấy toàn bộ đối tượng Leader
Lấy 2 điểm của leader
Nếu nó lớn hơn 2% là xoá
:iluvyousmiley:

Nó ko phải leader đâu, hehe là 2dpolyline đấy
  • 0

Lisp In bản vẽ hàng loạt:
http://www.cadviet.c...ndpost&p=139860


#12 quangthanhdu

quangthanhdu

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 17 November 2010 - 09:37 AM

Vẫn không thể xóa được các Anh ơi! Em không rành về lish...Ai biết xin chỉ giúp???
  • 0

#13 quangthanhdu

quangthanhdu

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 17 November 2010 - 09:45 AM

Cái này tương đối dễ mà
Bạn cứ lập trình Lisp lấy toàn bộ đối tượng Leader
Lấy 2 điểm của leader
Nếu nó lớn hơn 2% là xoá
:iluvyousmiley:


Anh viết giúp em cái lisp lam việc này, chứ em không biết gì về lisp hết, chân thành cảm ơn!!
  • 0

#14 w1nDream

w1nDream

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 293 Bài viết
Điểm đánh giá: 73 (tàm tạm)

Đã gửi 17 November 2010 - 11:20 AM

Anh viết giúp em cái lisp lam việc này, chứ em không biết gì về lisp hết, chân thành cảm ơn!!

Tạm thời đê làm được yêu cầu của bạn thì minh đang sử dụng Lisp xoá đối tượng trong vùng chọn đã có trên diễn đàn,nếu bạn đang cần có thể sử dụng cách này cũng tương đối hiệu quả.Bạn cứ Down về thử còn cách làm chắc không fải bàn nhỉ:
http://www.cadviet.c...o...27121&st=20
Tuy nhiên để làm nhanh hơn và làm trực tiếp có lẽ fải chờ các Pác viết Lisp khác cho.
:iluvyousmiley:
  • 1
__Tâm tựa lưu thủY__
Vi nhân nan

#15 npham

npham

    biết lệnh rotate

  • Members
  • PipPipPip
  • 136 Bài viết
Điểm đánh giá: 75 (tàm tạm)

Đã gửi 27 November 2010 - 11:42 PM

Ai biết cách xoá dấu mũi tên một cách nhanh nhất, xin chỉ giúp ??? Có cái lisp nào làm được việc đó không? chân thành cảm ơn.Vì số lượng mặt cắt nhiều quá nên không thể xóa bằng cách thủ công!!
http://www.cadviet.c...es/3/matcat.jpg


Đoạn code này xoá mũi tên và text (%) tưng ứng trên dải phân cách. Đoạn bên lề bác làm tương tự nhé.
Bác test thử xem sao.
(defun c:xoa (/ ss ss% x p1 i j)
(setq ss (ssget "x" (list
(cons -4 " (cons 0 "POLYLINE")
(cons 8 "PLINEPHANCACH")
(cons -4 "AND>")
)))

(command "undo" "BE")
(setq i 0)
(while (setq x (ssname ss i))
(setq x (entnext x))
(setq p1 (polar (cdr (assoc 10 (entget x))) (* pi 0.5) 0.2))

(command "zoom" p1 (list (+ (car p1) 2) (+ (cadr p1) 2)))
(setq ss% (ssget "c" p1 (list (+ (car p1) 2) (+ (cadr p1) 2))
(list
(cons -4 " (cons 0 "POLYLINE")
(cons 8 "ENTTNTHIETKE")
(cons -4 "AND>")
)))
(command "erase" ss% "")
(setq ss% (ssget "c" p1 (list (+ (car p1) 2) (+ (cadr p1) 2))
(list
(cons -4 " (cons 0 "TEXT")
(cons 8 "ENTTNTHIETKE")
(cons -4 "AND>")
)))
(setq j 0)
(if ss%
(while (setq x (ssname ss% j))
(if
(vl-string-search "%" (cdr (assoc 1 (entget x))))
(command "erase" x "")
)
(setq j (1+ j))
)
)
(setq i (1+ i))

)
(command "undo" "E")
)

  • 1